import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { html } from "lit-html";
import { withKnobs, text } from "@storybook/addon-knobs";
import CATEGORIES from "../../categories";
import readme from "../../../dist/docs/components/widget-track/readme.md";

<Meta title={CATEGORIES.SUB.WIDGETS + "Track"} />

# Widget Track/Trace

This widget shows the delivery status of undelivered orders.

<Canvas
    mdxSource={`
    <ui-widget-track
        url="/mock-data/widget-track.json"
    ></ui-widget-track>
`}
>
    <Story
        height="350px"
        name="widget-track"
        parameters={{
            decorators: [withKnobs],
            jest: [
                "widget-track.e2e.ts",
                "widget-track-link-item.e2e.ts",
                "widget-track-delivery-item.e2e.ts",
            ],
        }}
    >
        {html`
            <ui-widget-track
                url="${text("URL", "/mock-data/widget-track.json")}"
            ></ui-widget-track>
        `}
    </Story>
</Canvas>

## Empty State:

<Canvas
    mdxSource={`
    <ui-widget-track
        url="/mock-data/widget-track-empty.json"
    ></ui-widget-track>
`}
>
    <Story
        height="350px"
        name="widget-track empty"
        parameters={{
            jest: ["widget-track-empty.e2e.ts"],
        }}
    >
        {html`
            <ui-widget-track
                url="/mock-data/widget-track-empty.json"
            ></ui-widget-track>
        `}
    </Story>
</Canvas>

---

## Usage

```
<ui-widget-track url="https://example.com/myapi"></ui-widget-track>
```

# Developer Documentation

<Description markdown={readme} />
